Issue1378

classification
Title: socket exception: "AttributeError: 'module' object has no attribute 'sslerror' "
Type: crash Severity: normal
Components: Library Versions: Jython 2.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: amak Nosy List: amak, asl2, fwierzbicki, zyasoft
Priority: low Keywords:

Created on 2009-06-16.16:30:51 by asl2, last changed 2014-05-10.05:33:46 by zyasoft.

Files
File name Uploaded Description Edit Remove
exception.log asl2, 2009-06-16.16:30:50 traceback
Messages
msg4815 (view) Author: Aaron Lav (asl2) Date: 2009-06-16.16:30:50
I get an exception in httplib.py, line 1003, "AttributeError: 'module'
object has no attribute 'sslerror'".  The code indicates that the module
is socket, and I don't see any sslerror object in the socket module.

I'm attaching the traceback.

Note: this happened with 2.5rc4, but I didn't see that version in the
'Versions' field.
msg4844 (view) Author: Alan Kennedy (amak) Date: 2009-06-21.22:24:39
Partial fix checked in at revision 6489, which should prevent the
attribute error.

However, there is still some work to do on mapping the correct errno
constants.

The reporter may wish to download the fixed socket module from SVN,
which should fix the current problem.

http://jython.svn.sourceforge.net/viewvc/jython/trunk/jython/Lib/socket.py
msg8364 (view) Author: Jim Baker (zyasoft) Date: 2014-05-10.05:33:46
Closing out. This is implemented in socket, and more importantly, this support has been completely re-written as of 7222:107fe4a4c96b for 2.7

Will not fix in 2.5
History
Date User Action Args
2014-05-10 05:33:46zyasoftsetstatus: open -> closed
resolution: fixed
messages: + msg8364
nosy: + zyasoft
2013-02-19 23:20:55fwierzbickisetnosy: + fwierzbicki
versions: + Jython 2.5, - 25rc4
2012-03-19 17:40:12amaksetpriority: low
2009-06-21 22:24:40amaksetmessages: + msg4844
2009-06-21 21:28:43pjenveysetassignee: amak
nosy: + amak
2009-06-16 16:30:51asl2create